## org.omg.CORBA
Class INTF_REPOS

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.INTF_REPOS

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class INTF_REPOS
extends SystemException

An ORB raises this exception if it cannot reach the interface repository, or some other failure relating to the interface repository is detected.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`INTF_REPOS()`
`INTF_REPOS(int minor, CompletionStatus completed)`
`INTF_REPOS(java.lang.String orb_reason)`
`INTF_REPOS(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### INTF_REPOS

    public INTF_REPOS()

### INTF_REPOS

    public INTF_REPOS(java.lang.String orb_reason)

### INTF_REPOS

    public INTF_REPOS(int minor,
                      CompletionStatus completed)

### INTF_REPOS

    public INTF_REPOS(java.lang.String orb_reason,
                      int minor,
                      CompletionStatus completed)